//////////////////////////////////////////
// FileHandler.cpp
//Copyright (c) 12/13/2020 by BCCSkelton
//////////////////////////////////////////
#include	"CSHELL.h"
#include	"FileHandler.h"
#include	"CSPLIT.h"
#include	"User.h"
#include	"FileHandlerProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!FileHandler.IsOnlyOne()) {
		HWND hWnd = FindWindow("MainWnd", "FileHandler");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）MAKEINTRESOURCE(IDI_ICON), IDC_ARROW, Brush)
	FileHandler.Init("MainWnd", hInstance, SDIPROC, "IDM_MAINMENU", MAKEINTRESOURCE(IDI_ICON));

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!FileHandler.Create("FileHandler"))
		return 0L;

	//アクセラレーター登録−InclAccel("(Accelerator ID)")
	FileHandler.InclAccel("IDA_ACCEL");

	//メッセージループに入る
	return FileHandler.Loop();
}
